PipeWire: module-link-factory.c File Reference

PipeWire 0.3.34

Data Structures | Macros | Functions
module-link-factory.c File Reference

## Data Structures
struct | factory_data
struct | link_data
struct | find_port
struct | find_node

## Macros
#define | NAME "link-factory"
#define | FACTORY_USAGE

## Functions
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ FACTORY_USAGE

#define FACTORY_USAGE

Value:
PW_KEY_LINK_OUTPUT_NODE"=<output-node> " \
"["PW_KEY_LINK_OUTPUT_PORT"=<output-port>] " \
PW_KEY_LINK_INPUT_NODE"=<input-node> " \
"["PW_KEY_LINK_INPUT_PORT"=<input-port>] " \
"["PW_KEY_OBJECT_LINGER"=<bool>] " \
"["PW_KEY_LINK_PASSIVE"=<bool>]"
PW_KEY_OBJECT_LINGER
#define PW_KEY_OBJECT_LINGER
the object lives on even after the client that created it has been destroyed
Definition: pipewire/src/pipewire/keys.h:67
PW_KEY_LINK_OUTPUT_PORT
#define PW_KEY_LINK_OUTPUT_PORT
output port id of a link
Definition: pipewire/src/pipewire/keys.h:201
PW_KEY_LINK_OUTPUT_NODE
#define PW_KEY_LINK_OUTPUT_NODE
output node id of a link
Definition: pipewire/src/pipewire/keys.h:200
PW_KEY_LINK_INPUT_PORT
#define PW_KEY_LINK_INPUT_PORT
input port id of a link
Definition: pipewire/src/pipewire/keys.h:199
PW_KEY_LINK_PASSIVE
#define PW_KEY_LINK_PASSIVE
indicate that a link is passive and does not cause the graph to be runnable.
Definition: pipewire/src/pipewire/keys.h:202

## ◆ NAME

#define NAME "link-factory"

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References factory_data::context, FACTORY_USAGE, factory_data::module, pw_context_create_factory(), pw_context_get_work_queue(), pw_impl_factory_destroy(), pw_impl_factory_get_user_data(), pw_impl_factory_set_implementation(), pw_impl_module_get_context(), PW_KEY_FACTORY_USAGE, pw_log_debug, pw_log_error, pw_properties_new(), PW_TYPE_INTERFACE_Link, PW_VERSION_LINK, and spa_list_init().